<?php

use Illuminate\Support\Facades\Request;

if (!function_exists('getSubdomain')) {
    function getSubdomain(): ?string
    {
        $host = Request::getHost();
        $parts = explode('.', $host);

        return count($parts) > 2 ? $parts[0] : null;
    }
}
