<?php

namespace App\Http\Middleware;

use App\Services\GameService;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\View;

class GameMiddleware
{
    public function handle(Request $request, Closure $next)
    {
        $game = app(GameService::class)->findBySubdomain(getSubdomain());

        abort_if(!$game, 404);

        View::share('game', $game);
        return $next($request);
    }
}
