<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class TwoFactorMiddleware
{
    public function handle(Request $request, Closure $next)
    {
        if (!session()->has('two_factor') || session()->get('two_factor') === false) {
            return redirect()->route('two-factor.index');
        }

        return $next($request);
    }
}
