<?php

namespace App\Mappings;

class LottoNumberColorMapping
{
    public const LOTTO_TYPE_GREEN = 'green';
    public const LOTTO_TYPE_PURPLE = 'purple';
    public const LOTTO_TYPE_ORANGE = 'orange';
    public const LOTTO_TYPE_COLORS = [
        self::LOTTO_TYPE_GREEN => 'forestgreen',
        self::LOTTO_TYPE_PURPLE => 'mediumvioletred',
        self::LOTTO_TYPE_ORANGE => 'orange'
    ];

    public static function getColorByType($type): string
    {
        return self::LOTTO_TYPE_COLORS[$type] ?? '';
    }
}
