<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fix_prizes', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->smallInteger('size');
            $table->string('orange_prize_draw')->nullable();
            $table->string('green_prize_draw')->nullable();
            $table->string('purple_prize_draw')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('fix_prizes');
    }
};
