<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('user_actions', function (Blueprint $table) {
            $table->boolean('confirmed')->default(false)->after('win');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        if (Schema::hasColumn('user_actions', 'confirmed')) {
            Schema::table('user_actions', function (Blueprint $table) {
                $table->dropColumn('confirmed');
            });
        }
    }
};
