<?php

use App\Models\Game;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        if (Schema::hasColumn('user_actions', 'game')) {
            Schema::table('user_actions', function (Blueprint $table) {
                $table->dropColumn('game');
            });
        }

        Schema::table('user_actions', function (Blueprint $table) {
            $table->foreignIdFor(Game::class);
        });
    }

    public function down(): void
    {
        Schema::table('user_actions', function (Blueprint $table) {
            //
        });
    }
};
