@extends('layouts.backoffice.backoffice')

@section('title')
    Nova Subcategoria
@endsection

@section('content')
    <div class="card">
        <div class="card-body">
            <form class="ajax"
                  method="POST"
                  enctype="multipart/form-data"
                  action="{{ route('backoffice.subcategories.store', ['category' => $category->id]) }}"
                  data-action="store"
                  data-type="subcategories">
                @csrf
                <div class="form-group mt-2">
                    <label for="label">Nome da Subcategoria</label>
                    <input required type="text" class="form-control" id="label" name="label"
                           placeholder="Nome da Subcategoria">
                </div>
                <hr />
                <div class="row mt-2">
                    <div class="col-12 text-right">
                        <a class="btn btn-danger"
                           href="{{ route('backoffice.categories.edit', ['category' => $category->id]) }}">
                            <i class="fa-solid fa-chevron-left"></i>
                            Cancelar
                        </a>
                        <button type="submit" class="btn btn-primary ml-2">
                            <i class="fa-solid fa-save"></i>
                            Guardar
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection
