<div class="d-flex justify-content-center align-items-center flex-column">
    <div class="d-flex justify-content-center align-items-center">
        <p>
            <span class="font-weight-bold">{{ __('game-action-modal.user_id') }} </span>{{ $user->id }} |
            <span class="font-weight-bold">{{ __('game-action-modal.code') }} </span>{{ $user->twofactor }} |
            <span class="font-weight-bold">{{ __('game-action-modal.date') }} </span>{{ $user->created_at->format('d/m/Y') }} |
            <span class="font-weight-bold">{{ __('game-action-modal.bet_code') }} </span>{{ $user->bet_code }}
        </p>
    </div>
    <div class="d-flex justify-content-center align-items-center flex-column">
        <span>{{ __('game-action-modal.first_prize') }}</span>
        <span>{{ __('game-action-modal.second_prize') }}</span>
        <p>{{ __('game-action-modal.third_prize') }}</p>
    </div>
    <div class="d-flex justify-content-center align-items-center text-nowrap">
        <div class="container">
            @foreach($userActions as $userAction)
                <div class="row mb-3 font-weight-bold">
                    <div class="col-sm">
                        <div class="d-flex justify-content-center align-items-center h-100">
                            {{ __('game-action-modal.user_action_id') }} {{ $userAction->id }}
                        </div>
                    </div>
                    <div class="col-sm">
                        <div class="d-flex justify-content-center flex-column">
                            <div class="d-flex justify-content-center">
                                <x-lotto-numbers-colored-component :oranges="$userAction->orange_pick_number"
                                                                   :greens="$userAction->green_pick_number"
                                                                   :purples="$userAction->purple_pick_number"/>
                                </div>
                            <div class="d-flex justify-content-center">
                                <x-lotto-numbers-colored-component :oranges="$userAction->orange_prize_draw"
                                                                   :greens="$userAction->green_prize_draw"
                                                                   :purples="$userAction->purple_prize_draw"/>
                            </div>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</div>
