<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * Define the application's command schedule.
     */
    protected function schedule(Schedule $schedule): void
    {
        $schedule->command('delete:unverified-users')->hourly();
    }

    /*
     * For prod use
     * /usr/local/bin/ea-php81 -q /home/clubesorte/public_html/inforgreen.clubesorte.org/artisan schedule:run 1>> /dev/null 2>&1
     */


    /**
     * Register the commands for the application.
     */
    protected function commands(): void
    {
        $this->load(__DIR__ . '/Commands');

        require base_path('routes/console.php');
    }
}
