<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * this table will store the prizes that are always the same, this is. for x quantity of balls (column size)
 * we will have to bet the balls in a way that they match the ones in the columns
 * - orange_prize_draw
 * - green_prize_draw
 * - purple_prize_draw
 */
class FixPrize extends Model
{
    protected $fillable = [
        'size',
        'orange_prize_draw',
        'green_prize_draw',
        'purple_prize_draw',
    ];
    /**
     * The attributes that should be cast.
     *
     * @var array
     */
    protected $casts = [
        'size' => 'integer',
        'orange_prize_draw' => 'array',
        'green_prize_draw' => 'array',
        'purple_prize_draw' => 'array',
    ];
}
