<?php

namespace App\View\Components;

use App\Models\Game;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class GameCategorySubcategoryComponent extends Component
{
    public function __construct(
        public Game $game
    )
    {
    }

    public function render(): View
    {
        return view('components.game-category-subcategory-component');
    }
}
