<?php

namespace App\View\Components;

use App\Models\UserAction;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class LottoDrawPickStatusColoredComponent extends Component
{
    public UserAction $userAction;

    public function __construct(UserAction $userAction)
    {
        $this->userAction = $userAction;
    }

    public function render(): View
    {
        $userAction = $this->userAction;

        return view(
            'components.lotto-draw-pick-status-colored-component',
            compact('userAction')
        );
    }
}
