<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('games', function (Blueprint $table) {
            $table->id();
            $table->string('subdomain');
            $table->string('label');
            $table->string('description')->nullable();
            $table->longText('logo');
            $table->longText('background');
            $table->longText('sponsor_image')->nullable();
            $table->longText('sponsor')->nullable();
            $table->longText('about_us_image')->nullable();
            $table->longText('about_us')->nullable();
            $table->longText('prizes_image')->nullable();
            $table->longText('prizes')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('games');
    }
};
