<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link rel="shortcut icon" href="{{ asset('assets/images/game/favicon.ico') }}">

    <title>{{ config('app.name') }} - BackOffice</title>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.bunny.net/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ mix('/assets/css/backoffice.css') }}" rel="stylesheet">
    @yield('css')
</head>

<body>
<div id="app">

    <main class="py-4">
        @yield('content')
    </main>
</div>

<!-- Scripts -->
@javascript("language", $jsTranslations)
<script src="{{ asset('js/tinymce/tinymce.min.js') }}" type="text/javascript"></script>
<script type="text/javascript" src="{{ asset(mix('/assets/js/backoffice.js')) }}"></script>
@yield('js')
</body>

</html>
